import { ValueObject } from '@mobicoop/ddd-library';

/** Note:
 * Value Objects with multiple properties can contain
 * other Value Objects inside if needed.
 * */

export interface ScheduleItemProps {
  day?: number;
  time: string;
  margin?: number;
}

export class ScheduleItem extends ValueObject<ScheduleItemProps> {
  get day(): number | undefined {
    return this.props.day;
  }

  get time(): string {
    return this.props.time;
  }

  get margin(): number | undefined {
    return this.props.margin;
  }

  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  protected validate(props: ScheduleItemProps): void {
    return;
  }
}
